summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md18
-rw-r--r--name0
-rw-r--r--pass10
-rw-r--r--pass20
-rwxr-xr-xroot.sh17
5 files changed, 19 insertions, 16 deletions
diff --git a/README.md b/README.md
index 3a87098..5813c9d 100644
--- a/README.md
+++ b/README.md
@@ -8,7 +8,9 @@ I've also documented the configuration fairly well, check out the documentation
## What do you get?
-[My dotfiles](https://github.com/lukesmithxyz/voidrice) and all their requisite programs installed without a problem. It'll just take some time because I include *everything* I use, ever. All LaTeX packages, Blender, etc.
+[My dotfiles](https://github.com/lukesmithxyz/voidrice) and all their requisite programs installed without a problem.
+
+All the core stuff we be installed without prompt, but you'll have the option to install some of the larger non-essential packages (LaTeX, LibreOffice, Blender, etc.).
## Installation
@@ -23,7 +25,7 @@ This will prompt you to create a user and a password and install all of the basi
In the process, it will also download another script to be run as the user (this is all automated). This will install `packer`, an AUR helper, and will use it to install the last few (very important) programs from the AUR.
-Finally, it will use `git` to download my [Voidrice](https://github.com/lukesmithxyz/voidrice) dotfiles and will plop them in your home directory for instant use!
+Finally, it will use `git` to download my [Voidrice](https://github.com/lukesmithxyz/voidrice) dotfiles and will plop them in their proper location for instant use!
Then, finally, once that all is done, you should be able to type `startx` to begin the graphical environment. Congrats!
@@ -47,13 +49,7 @@ Additionally, if you've put your password in a terminal window already, you will
## Version
-We're basically on Version 2.0 now, which is still pretty primitive. Specifically, I haven't really added any error-handling into the script because so long as you have an internet connection and Arch doesn't mess up an update, you shouldn't have any errors anyway.
-
-Regardless, since you can never predict the non-predicted, I'll probably add in more trouble-shooting later, but right now it should work 95% of the time.
-
-## >still using systemd botnet distro and/or not a 100% free-as-in-freedumb Parabola GANOO slash Linocks
-
-I do plan on making an alternative script option for Parabola sooner or later, after all Parabola *is* the distro I actually use. If you want to use Arch OpenRC or another Arch-based non-systemd distro, I think this script still *should* work, although you may have to manually enable Network Manager or Pulseaudio. I haven't tested this though. If you have, tell me the results and I might implement it.
+We're basically on Version 2.0 now, which is still pretty primitive. I'm adding some error handling, if the script fails, check the contents of LARBS.log in whatever directory you've run the script. Still, this script is still in the Wild West, so I recommend only running it on fresh installs.
## Bugs?
@@ -72,3 +68,7 @@ Regardless, it's generally safe to rerun the script if something temporary went
```
userdel USER
```
+
+### >still using systemd botnet distro and/or not a 100% free-as-in-freedumb Parabola GANOO slash Linocks
+
+I do plan on making an alternative script option for Parabola sooner or later, after all Parabola *is* the distro I actually use. If you want to use Arch OpenRC or another Arch-based non-systemd distro, I think this script still *should* work, although you may have to manually enable Network Manager or Pulseaudio. I haven't tested this though. If you have, tell me the results and I might implement it.
diff --git a/name b/name
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/name
diff --git a/pass1 b/pass1
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/pass1
diff --git a/pass2 b/pass2
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/pass2
diff --git a/root.sh b/root.sh
index 02614a0..4eed36e 100755
--- a/root.sh
+++ b/root.sh
@@ -1,10 +1,11 @@
#!/bin/bash
-pacman -S --noconfirm dialog
+pacman -S --noconfirm dialog || (echo "Error at script start: Are you sure you're running this as the root user? Are you sure you have an internet connection?" && exit)
RED='\033[0;31m'
BLUE='\033[0;34m'
NC='\033[0m'
-#printf "This should have ${BLUE}Blue\n${NC} and ${RED}Red${NC} text."
-#printf "\n${BLUE}Now installing main programs...\n${NC}\n"
+
+error() { dialog --title "Error!" --msgbox "We've run into a fatal-ish error. Check the LARBS.log file for more information" 10 60 && clear && exit ;}
+
dialog --title "Welcome!" --msgbox "Welcome to Luke's Auto-Rice Bootstrapping Script!\n\nThis script will automatically install a fully-featured i3wm Arch Linux desktop, which I use as my main machine.\n\n-Luke" 10 60
dialog --no-cancel --inputbox "First, please enter a name for the user account." 10 60 2> name
@@ -37,7 +38,9 @@ options=(1 "LaTeX packages" off
choices=$("${cmd[@]}" "${options[@]}" 2>&1 >/dev/tty)
clear
printf "\n${BLUE}Now installing main programs.\n${NC}"
-pacman --noconfirm --needed -S base-devel xorg-xinit xorg-server rxvt-unicode feh ffmpeg pulseaudio pulseaudio-alsa arandr pavucontrol pamixer mpv wget rofi vim w3m ranger mediainfo poppler highlight tmux calcurse htop newsbeuter mpd mpc ncmpcpp network-manager-applet networkmanager imagemagick transmission-cli atool libcaca compton transset-df markdown mupdf evince rsync git youtube-dl youtube-viewer cups screenfetch scrot unzip unrar ntfs-3g offlineimap msmtp notmuch notmuch-mutt dosfstools fzf r pandoc || echo "Error installing basic packages. Check your internet connection and pacman keyring." && exit
+
+pacman --noconfirm --needed -S base-devel xorg-xinit xorg-server rxvt-unicode feh ffmpeg pulseaudio pulseaudio-alsa arandr pavucontrol pamixer mpv wget rofi vim w3m ranger mediainfo poppler highlight tmux calcurse htop newsbeuter mpd mpc ncmpcpp network-manager-applet networkmanager imagemagick transmission-cli atool libcaca compton transset-df markdown mupdf evince rsync git youtube-dl youtube-viewer cups screenfetch scrot unzip unrar ntfs-3g offlineimap msmtp notmuch notmuch-mutt dosfstools fzf r pandoc || (echo "Error installing basic packages. Check your internet connection and pacman keyring." >> LARBS.log && error)
+
for choice in $choices
do
case $choice in
@@ -57,11 +60,11 @@ do
printf "\n${BLUE}Now installing Blender...\n${NC}"
pacman --noconfirm --needed -S blender
;;
- 5)
+ 5)
printf "\n${BLUE}Now installing Emacs...\n${NC}"
pacman --noconfirm --needed -S emacs
;;
- 6)
+ 6)
printf "\n${BLUE}Now installing extra fonts...\n${NC}"
pacman --noconfirm --needed -S noto-fonts-cjk noto-fonts-emoji
;;
@@ -111,7 +114,7 @@ printf "${BLUE}Running script as new user $USER...\n${NC}"
cp /etc/sudoers /etc/sudoers.prelarbs
echo "%wheel ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers
-sudo -u $USER bash /home/$USER/user.sh
+sudo -u $USER bash /home/$USER/user.sh || (echo "Error in the user install script. This might be because of a problem in your internet connection or pacman keyring or in an AUR package." >> LARBS.log && error)
curl https://raw.githubusercontent.com/LukeSmithxyz/larbs/master/sudoers > /etc/sudoers